Summary: Chinese lexicons library for xcin-2.5.3
Name: libtabe
Version: 0.2.6
Release: 6
License: Redistributable
Group: User Interface/X
Source0: ftp://xcin.linux.org.tw/pub/xcin/libtabe/devel/%{name}-%{version}.tar.gz 
Source1: libtabe-ia64-tsi.db
Source2: libtabe-ia64-yin.db
#DB4.1
Patch0: libtabe-db4.1.patch
URL: http://libtabe.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: db4 >= 4.1
BuildRequires: db4-devel
Obsoletes: libtabe-tsi

%description
Chinese lexicons library for xcin-2.5's bimsphone input method.

%package devel
Summary: Header files and libraries for developing apps which will use libtabe
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Chinese lexicons library for xcin-2.5's bimsphone input method.

%prep
%setup -q -n libtabe
%patch -p1 -b .db41

%build
%ifarch ia64 alpha s390 s390x
cp /usr/share/libtool/config.sub $RPM_BUILD_DIR/libtabe/script
cp /usr/share/libtool/config.guess $RPM_BUILD_DIR/libtabe/script
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --enable-shared --datadir=%{_datadir}/tabe
make
%ifarch ia64
cp %{SOURCE1} $RPM_BUILD_DIR/libtabe/src/tsi-src/tsi.db
cp %{SOURCE2} $RPM_BUILD_DIR/libtabe/src/tsi-src/yin.db
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall datadir=$RPM_BUILD_ROOT/%{_datadir}/tabe

# make link so that xcin-2.5 can use yin.db and tsi.db
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab/big5
ln -sf ../../../../../../share/tabe/tsi.db \
	$RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab/big5/tsi.db
ln -sf ../../../../../../share/tabe/yin.db \
	$RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab/big5/yin.db
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab/utf-8
ln -sf ../../../../../../share/tabe/tsi.db \
	$RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab/utf-8/tsi.db
ln -sf ../../../../../../share/tabe/yin.db \
	$RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab/utf-8/yin.db

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/{libbims.la,libtabe.la}
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING  doc/libtabe.sgml
%{_datadir}/tabe
%{_libdir}/*.so.*
%{_bindir}/*
/usr/X11R6/%{_lib}/X11/xcin/tab/big5/yin.db
/usr/X11R6/%{_lib}/X11/xcin/tab/big5/tsi.db
/usr/X11R6/%{_lib}/X11/xcin/tab/utf-8/yin.db
/usr/X11R6/%{_lib}/X11/xcin/tab/utf-8/tsi.db
%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 23 2003 Leon Ho <llch@redhat.com>
- fixes for utf-8

* Wed Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 05 2003 Leon Ho <llch@redhat.com>
- fix two sources for compiling in db 4.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 0.2.6-2
- removed unpackaged files from the buildroot
- lib64'ize

* Mon Jul 22 2002 Leon Ho <llch@redhat.com> 
- 0.2.6

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 27 2002 Leon Ho <llch@redhat.com> 
- fixes for new toolchains

* Wed Apr 03 2002 Leon Ho <llch@redhat.com> 
- correct the path for xcin db

* Tue Mar 26 2002 Nalin Dahyabhai <nalin@redhat.com> 0.2.4a-9
- move buildroot to be below %%{_tmppath}
- rebuild in new environment
- use FHS macros

* Wed Mar 06 2002 Leon Ho <llch@redhat.com>
- fixes the writable

* Tue Feb 26 2002 Leon Ho <llch@redhat.com>
- rebuild to Hampton

* Tue Jan 29 2002 Leon Ho <llch@redhat.com>
- fix db4 incompat.
- build against new set of tools

* Tue Nov 27 2001 Leon Ho <llch@redhat.com>
- build against 7.2-tcsc

* Tue Oct 29 2001 Chung-Yen Chang <candyz@linux.org.tw>
- update to 0.2.4a

* Sat Oct 20 2001 Yukihiro Nakai <ynakai@redhat.com>
- db2 is fixed for ia64, so now we can use ia64 native database.

* Wed Jun 27 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390,s390x

* Tue Jun 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Requires line

* Tue Jun 19 2001 Yukihiro Nakai <ynakai@redhat.com>
- Support for Alpha

* Mon Jun 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Sun Dec 17 2000 Jason Wilson <jwilson@redhat.com>
- Fixed release tag

* Sat Dec 17 2000 David Joo <djoo@redht.com>
- Added %post and %postun script
- Changed Group

* Tue Dec 05 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.2
- add tsiadd.c-1203 patch
- Add URL Requires BuildRequires
- split packages

* Mon Oct 30 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.1.9

* Mon Oct 16 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.1.8

* Sun Oct 08 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.1.7

* Mon Sep 04 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- change xcin tab dir

* Fri Apr 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for redhat-6.2
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Feb 29 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- 0.1-2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1_0.1-1.diff

* Sat Feb 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000209.diff thanks to jouston <jouston@i18n.linux.org.tw>

* Tue Feb 09 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000208.diff

* Thu Feb 04 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add libtabe.diff.20000202

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1

* Wed Dec 15 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre8

* Thu Nov 29 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre7

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0
